Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class ObjectElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ObjectElement

    public class ObjectElement

extends Element

Generic embedded object. Note: In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `ObjectElement()`

Method Summary
`static ObjectElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getCode()` Applet class file.
`Document` | `getContentDocument()` The document this object contains, if there is any and it is available, or null otherwise.
`java.lang.String` | `getData()` A URI specifying the location of the object's data.
`FormElement` | `getForm()` Returns the FORM element containing this control.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` Content type for data downloaded via data attribute.
`java.lang.String` | `getWidth()` Override width.
`void` | `setCode(java.lang.String code)` Applet class file.
`void` | `setData(java.lang.String data)` A URI specifying the location of the object's data.
`void` | `setHeight(java.lang.String height)` Override height.
`void` | `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setType(java.lang.String type)` Content type for data downloaded via data attribute.
`void` | `setUseMap(boolean useMap)` Use client-side image map.
`void` | `setWidth(java.lang.String width)` Override width.
`boolean` | `useMap()` Use client-side image map.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectElement

    protected ObjectElement()

Method Detail

### as

    public static ObjectElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getCode

    public final java.lang.String getCode()

  Applet class file.

### getContentDocument

    public final Document getContentDocument()

  The document this object contains, if there is any and it is available, or null otherwise.

### getData

    public final java.lang.String getData()

  A URI specifying the location of the object's data.

  See Also:
    W3C HTML Specification

### getForm

    public final FormElement getForm()

  Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

### getHeight

    public final java.lang.String getHeight()

  Override height.

  See Also:
    W3C HTML Specification

### getName

    public final java.lang.String getName()

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### getTabIndex

    public final int getTabIndex()

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  Content type for data downloaded via data attribute.

  See Also:
    W3C HTML Specification

### getWidth

    public final java.lang.String getWidth()

  Override width.

  See Also:
    W3C HTML Specification

### setCode

    public final void setCode(java.lang.String code)

  Applet class file.

### setData

    public final void setData(java.lang.String data)

  A URI specifying the location of the object's data.

  See Also:
    W3C HTML Specification

### setHeight

    public final void setHeight(java.lang.String height)

  Override height.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### setTabIndex

    public final void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### setType

    public final void setType(java.lang.String type)

  Content type for data downloaded via data attribute.

  See Also:
    W3C HTML Specification

### setUseMap

    public final void setUseMap(boolean useMap)

  Use client-side image map.

  See Also:
    W3C HTML Specification

### setWidth

    public final void setWidth(java.lang.String width)

  Override width.

  See Also:
    W3C HTML Specification

### useMap

    public final boolean useMap()

  Use client-side image map.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD